curl --request PUT \
--url https://api.example.com/api/vendors/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"billingAddress1": "<string>",
"billingAddress2": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountry": "<string>",
"billingAddressEmail": "<string>",
"billingAddressPostcode": "<string>",
"billingAddressPhone": "<string>",
"billingAddressState": "<string>",
"shippingAddress1": "<string>",
"shippingAddress2": "<string>",
"shippingAddressCity": "<string>",
"shippingAddressCountry": "<string>",
"shippingAddressEmail": "<string>",
"shippingAddressPostcode": "<string>",
"shippingAddressPhone": "<string>",
"shippingAddressState": "<string>",
"salutation": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"displayName": "<string>",
"website": "<string>",
"email": "<string>",
"workPhone": "<string>",
"personalPhone": "<string>",
"note": "<string>",
"active": true
}
'import requests
url = "https://api.example.com/api/vendors/{id}"
payload = {
"billingAddress1": "<string>",
"billingAddress2": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountry": "<string>",
"billingAddressEmail": "<string>",
"billingAddressPostcode": "<string>",
"billingAddressPhone": "<string>",
"billingAddressState": "<string>",
"shippingAddress1": "<string>",
"shippingAddress2": "<string>",
"shippingAddressCity": "<string>",
"shippingAddressCountry": "<string>",
"shippingAddressEmail": "<string>",
"shippingAddressPostcode": "<string>",
"shippingAddressPhone": "<string>",
"shippingAddressState": "<string>",
"salutation": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"displayName": "<string>",
"website": "<string>",
"email": "<string>",
"workPhone": "<string>",
"personalPhone": "<string>",
"note": "<string>",
"active": True
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
billingAddress1: '<string>',
billingAddress2: '<string>',
billingAddressCity: '<string>',
billingAddressCountry: '<string>',
billingAddressEmail: '<string>',
billingAddressPostcode: '<string>',
billingAddressPhone: '<string>',
billingAddressState: '<string>',
shippingAddress1: '<string>',
shippingAddress2: '<string>',
shippingAddressCity: '<string>',
shippingAddressCountry: '<string>',
shippingAddressEmail: '<string>',
shippingAddressPostcode: '<string>',
shippingAddressPhone: '<string>',
shippingAddressState: '<string>',
salutation: '<string>',
firstName: '<string>',
lastName: '<string>',
companyName: '<string>',
displayName: '<string>',
website: '<string>',
email: '<string>',
workPhone: '<string>',
personalPhone: '<string>',
note: '<string>',
active: true
})
};
fetch('https://api.example.com/api/vendors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Edit the given vendor.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Body
Billing address line 1
Billing address line 2
Billing address city
Billing address country
Billing address email
Billing address postcode
Billing address phone
Billing address state
Shipping address line 1
Shipping address line 2
Shipping address city
Shipping address country
Shipping address email
Shipping address postcode
Shipping address phone
Shipping address state
Vendor salutation
Vendor first name
Vendor last name
Vendor company name
Vendor display name
Vendor website
Vendor email address
Vendor work phone number
Vendor personal phone number
Additional notes about the vendor
Whether the vendor is active